io.agora.rtc

## Enum Constants.LogLevel

- java.lang.Object
- - java.lang.Enum<Constants.LogLevel>
  - - io.agora.rtc.Constants.LogLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.LogLevel>
  Enclosing class:
    Constants

      public static enum Constants.LogLevel
      extends java.lang.Enum<Constants.LogLevel>

  Log Level.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOG_LEVEL_ERROR` Outputs logs of the ERROR level.
    `LOG_LEVEL_FATAL` Outputs logs of the CRITICAL level.
    `LOG_LEVEL_INFO` Outputs logs of the INFO level.
    `LOG_LEVEL_NONE` Outputs no log.
    `LOG_LEVEL_WARN` Outputs logs of the WARNING level.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the log level

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.LogLevel type)` Gets the integer value of the log level.
    `static Constants.LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOG_LEVEL_NONE

          public static final Constants.LogLevel LOG_LEVEL_NONE

      Outputs no log.

    - #### LOG_LEVEL_INFO

          public static final Constants.LogLevel LOG_LEVEL_INFO

      Outputs logs of the INFO level.

    - #### LOG_LEVEL_WARN

          public static final Constants.LogLevel LOG_LEVEL_WARN

      Outputs logs of the WARNING level.

    - #### LOG_LEVEL_ERROR

          public static final Constants.LogLevel LOG_LEVEL_ERROR

      Outputs logs of the ERROR level.

    - #### LOG_LEVEL_FATAL

          public static final Constants.LogLevel LOG_LEVEL_FATAL

      Outputs logs of the CRITICAL level.

  - ### Field Detail

    - #### value

          private int value

      Integer value of the log level

  - ### Method Detail

    - #### values

          public static Constants.LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.LogLevel c : Constants.LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.LogLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.LogLevel type)

      Gets the integer value of the log level.
      Parameters:
        `type` - Log level
      Returns:
        The integer value